2017-12-13 07:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002327NetSurfGTK-specificpublic2015-06-24 08:41
ReporterGeoffrey 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusfeedbackResolutionreopened 
PlatformLinuxOSManjaro LinuxOS Version0.9
Product Version3.3 
Target VersionFixed in Version 
Summary0002327: No option in the Preferences to set user interface language
DescriptionIn version 3.3 there is no option in the GTK user interface (Edit -> Preferences) to set the browser user interface language.

Was this feature dropped? Or was it never implemented?

How can I set the user interface language in the meantime?
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000862

Vincent Sanders (administrator)

The gtk version of the application follows the GTK guidelines and sets its languages using the standard i10n environment variable LANGUAGE

for example running netsurf-gtk in dutch would be achieved with

$ LANGUAGE=nl netsurf-gtk

Although this would be specific to that run of netsurf, globally changing gtk interface language is done through the gtk "System settings" using the "Region and language" control
Geoffrey

~0000863

Geoffrey (reporter)

This is the output of the command locale:

LANG=nl_BE.utf8
LC_CTYPE="nl_BE.utf8"
LC_NUMERIC="nl_BE.utf8"
LC_TIME="nl_BE.utf8"
LC_COLLATE="nl_BE.utf8"
LC_MONETARY="nl_BE.utf8"
LC_MESSAGES="nl_BE.utf8"
LC_PAPER="nl_BE.utf8"
LC_NAME="nl_BE.utf8"
LC_ADDRESS="nl_BE.utf8"
LC_TELEPHONE="nl_BE.utf8"
LC_MEASUREMENT="nl_BE.utf8"
LC_IDENTIFICATION="nl_BE.utf8"
LC_ALL=

I don't have "netsurf-gtk", I only have netsurf (which uses the GTK version it seems) (on Manjaro Linux, which is essentially Arch Linux).

executing netsurf like this does not have the desired effect:
LANGUAGE=nl netsurf

Neither does this:
LANGUAGE=nl_BE.UTF8
+Notes

-Issue History
Date Modified Username Field Change
2015-06-23 16:36 Geoffrey New Issue
2015-06-23 22:59 Vincent Sanders Note Added: 0000862
2015-06-23 22:59 Vincent Sanders Assigned To => Vincent Sanders
2015-06-23 22:59 Vincent Sanders Status new => closed
2015-06-23 22:59 Vincent Sanders Resolution open => no change required
2015-06-24 08:41 Geoffrey Note Added: 0000863
2015-06-24 08:41 Geoffrey Status closed => feedback
2015-06-24 08:41 Geoffrey Resolution no change required => reopened
+Issue History